searchData={"content_type":"text/markdown","items":[{"doc":"It's a map format verifier, verify if keys/values exist in a given map, short and quick, you can specify more than one\nformat and verify list of values.\n\nJust use the function [`MapSchemaValidator.validate/2`](https://hexdocs.pm) or [`MapSchemaValidator.validate!/2`](https://hexdocs.pm)","ref":"MapSchemaValidator.html","title":"MapSchemaValidator","type":"module"},{"doc":"By param schema validates the param data and compares the format and values to ensure follows a specific format.","ref":"MapSchemaValidator.html#validate/2","title":"MapSchemaValidator.validate/2","type":"function"},{"doc":"iex> MapSchemaValidator.validate(%{key: :string}, %{key: \"value\"})\n    {:ok, nil}\n\n    iex> MapSchemaValidator.validate(%{key: [:string, :number]}, %{key: 1})\n    {:ok, nil}\n\n    iex> MapSchemaValidator.validate(%{key: [%{inner_key: :string}]}, %{key: [%{inner_key: \"value_1\"}, %{inner_key: \"value_2\"}]})\n    {:ok, nil}\n\n    iex> MapSchemaValidator.validate(%{key: [%{inner_key: :string}]}, %{key: [%{inner_key: 1}, %{inner_key: \"value_2\"}]})\n    {:error, %MapSchemaValidator.InvalidMapError{message: \"error at: key -> inner_key\"}}","ref":"MapSchemaValidator.html#validate/2-examples","title":"Examples - MapSchemaValidator.validate/2","type":"function"},{"doc":"Same as MapSchemaValidator.validate/2 but raises in fail.","ref":"MapSchemaValidator.html#validate!/2","title":"MapSchemaValidator.validate!/2","type":"function"},{"doc":"iex> MapSchemaValidator.validate!(%{key: :string}, %{key: \"value\"})\n    :ok\n\n    iex> MapSchemaValidator.validate!(%{key: [:string, :number]}, %{key: 1})\n    :ok\n\n    iex> MapSchemaValidator.validate!(%{key: [%{inner_key: :string}]}, %{key: [%{inner_key: \"value_1\"}, %{inner_key: \"value_2\"}]})\n    :ok\n\n    iex> MapSchemaValidator.validate!(%{key: [%{inner_key: :string}]}, %{key: [%{inner_key: 1}, %{inner_key: \"value_2\"}]})\n    ** (UndefinedFunctionError) function JsonValidator.validate/2 is undefined (module JsonValidator is not available)\n    JsonValidator.validate(%{schemas: [%{name: :string, fields: %{string: :string}, hooks?: [%{events: [:string, :integer], headers: %{string: :string}, method: :string, url: :string}]}]}, %{\"schemas\" => [%{\"fields\" => %{\"age\" => \"number\", \"birth\" => \"datetime\", \"male\" => \"boolean\", \"name\" => \"string\"}, \"hooks\" => [%{\"events\" => [\"create\", false], \"headers\" => %{\"key\" => \"value\"}, \"method\" => \"post\", \"url\" => \"https://someurl.test/webhook\"}], \"name\" => \"users\"}, %{\"fields\" => %{\"expiration\" => \"datetime\", \"name\" => \"string\"}, \"name\" => \"products\"}]})\n    /data/default_book.livemd#cell:hu7mznvjuk3vuqwpft3emi562ezmozpx:48: (file)","ref":"MapSchemaValidator.html#validate!/2-examples","title":"Examples - MapSchemaValidator.validate!/2","type":"function"},{"doc":"Documentation for `MapSchemaValidator`.","ref":"MapSchemaValidator.MapUtils.html","title":"MapSchemaValidator.MapUtils","type":"module"},{"doc":"Transforms maps with key-strings to maps with atom-strings.","ref":"MapSchemaValidator.MapUtils.html#map_to_atom_keys/1","title":"MapSchemaValidator.MapUtils.map_to_atom_keys/1","type":"function"},{"doc":"iex> MapSchemaValidator.MapUtils.map_to_atom_keys(%{\"key\" => \"value\"})\n    %{key: \"value\"}","ref":"MapSchemaValidator.MapUtils.html#map_to_atom_keys/1-examples","title":"Examples - MapSchemaValidator.MapUtils.map_to_atom_keys/1","type":"function"},{"doc":"","ref":"MapSchemaValidator.InvalidMapError.html","title":"MapSchemaValidator.InvalidMapError","type":"exception"}]}